Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2064941 - Review Request: python-colcon-installed-package-information - Extensions for colcon to inspect packages which have already been installed
Summary: Review Request: python-colcon-installed-package-information - Extensions for ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Kadlčík
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-03-16 21:38 UTC by Scott K Logan
Modified: 2022-11-14 01:13 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-11-13 01:17:33 UTC
Type: ---
Embargoed:
jkadlcik: fedora-review+


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Fedora Pagure releng/fedora-scm-requests issue 48330 0 None None None 2022-10-20 04:53:40 UTC

Description Scott K Logan 2022-03-16 21:38:59 UTC
Spec URL: https://cottsay.fedorapeople.org/python-colcon-installed-package-information/python-colcon-installed-package-information.spec
SRPM URL: https://cottsay.fedorapeople.org/python-colcon-installed-package-information/python-colcon-installed-package-information-0.0.1-1.fc37.src.rpm

Description:
Extensions for colcon-core to inspect packages which have already been installed.

Fedora Account System Username: cottsay
Koji scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=84293936
Target branches: rawhide f36 f35 epel8 epel7

This spec file is intended to follow the same pattern as the other 38 `colcon` packages already in Fedora.

Comment 1 Jakub Kadlčík 2022-10-19 22:01:52 UTC
Hello Scott,
thank you for the package.

I already reviewed another colcon package of yours, so I will limit my
feedback only to things that we both agreed would be a good idea
to fix.


> Version:        0.0.1

There is already 0.1.0 version, can you please update?


> URL:            https://colcon.readthedocs.io

What do you think about using the GitHub URL here?


> %description
> Extensions for colcon-core to inspect packages which have already been
> installed.

Can you please write 2-3 sentences describing the packages other than
the summary?

Comment 2 Scott K Logan 2022-10-20 01:28:02 UTC
Thank you, Jakub. I have addressed each of your points.

Spec URL: https://cottsay.fedorapeople.org/python-colcon-installed-package-information/python-colcon-installed-package-information.spec
SRPM URL: https://cottsay.fedorapeople.org/python-colcon-installed-package-information/python-colcon-installed-package-information-0.1.0-1.fc38.src.rpm

Description:
These colcon extensions provide a mechanism which can be used for getting
information about packages outside of the workspace, which have already been
built and installed prior to the current operation.

In general, they work similarly to and are based on the
PackageDiscoveryExtensionPoint and PackageAugmentationExtensionPoint
extensions provided by colcon_core.

Koji scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=93228091
Target branches: rawhide f37 f36 f35 epel9 epel8 epel7

Comment 3 Jakub Kadlčík 2022-10-20 04:03:18 UTC
Thank you for the changes,



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "*No copyright* Apache License 2.0", "Unknown or generated",
     "*No copyright* Apache License", "Apache License 2.0". 5 files have
     unknown license. Detailed output of licensecheck in
     /home/jkadlcik/2064941-python-colcon-installed-package-
     information/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[?]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Cannot parse rpmlint output:


Rpmlint (installed packages)
----------------------------
============================ rpmlint session starts ============================
rpmlint: 2.4.0
configuration:
    /usr/lib/python3.11/site-packages/rpmlint/configdefaults.toml
    /etc/xdg/rpmlint/fedora-legacy-licenses.toml
    /etc/xdg/rpmlint/fedora-spdx-licenses.toml
    /etc/xdg/rpmlint/fedora.toml
    /etc/xdg/rpmlint/scoring.toml
    /etc/xdg/rpmlint/users-groups.toml
    /etc/xdg/rpmlint/warn-on-functions.toml
checks: 31, packages: 1

python3-colcon-installed-package-information.noarch: W: files-duplicate /usr/lib/python3.11/site-packages/colcon_installed_package_information-0.1.0-py3.11.egg-info/zip-safe /usr/lib/python3.11/site-packages/colcon_installed_package_information-0.1.0-py3.11.egg-info/dependency_links.txt
 1 packages and 0 specfiles checked; 0 errors, 1 warnings, 0 badness; has taken 0.0 s



Source checksums
----------------
https://github.com/colcon/colcon-installed-package-information/archive/0.1.0/colcon-installed-package-information-0.1.0.tar.gz :
  CHECKSUM(SHA256) this package     : e37bd5e1a5dff68c12b474ae1743ed061dacc059b03481f41e39f214f9e03b32
  CHECKSUM(SHA256) upstream package : e37bd5e1a5dff68c12b474ae1743ed061dacc059b03481f41e39f214f9e03b32


Requires
--------
python3-colcon-installed-package-information (rpmlib, GLIBC filtered):
    python(abi)
    python3.11dist(colcon-core)



Provides
--------
python3-colcon-installed-package-information:
    python-colcon-installed-package-information
    python3-colcon-installed-package-information
    python3.11-colcon-installed-package-information
    python3.11dist(colcon-installed-package-information)
    python3dist(colcon-installed-package-information)



Generated by fedora-review 0.9.0 (6761b6c) last change: 2022-08-23
Command line :/usr/bin/fedora-review -b 2064941
Buildroot used: fedora-rawhide-x86_64
Active plugins: Shell-api, Generic, Python
Disabled plugins: Ocaml, Java, fonts, C/C++, Haskell, R, Perl, PHP, SugarActivity
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 4 Scott K Logan 2022-10-20 04:53:41 UTC
Thank you for taking the time to review this package, Jakub!

Comment 5 Fedora Update System 2022-11-04 20:59:26 UTC
FEDORA-EPEL-2022-c5f1cd31a7 has been submitted as an update to Fedora EPEL 9. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-c5f1cd31a7

Comment 6 Fedora Update System 2022-11-04 20:59:26 UTC
FEDORA-EPEL-2022-0510b5537e has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-0510b5537e

Comment 7 Fedora Update System 2022-11-04 20:59:28 UTC
FEDORA-2022-f64887ba73 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2022-f64887ba73

Comment 8 Fedora Update System 2022-11-04 20:59:33 UTC
FEDORA-2022-67c8e2b6dc has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2022-67c8e2b6dc

Comment 9 Fedora Update System 2022-11-04 20:59:38 UTC
FEDORA-EPEL-2022-cada373da5 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-cada373da5

Comment 10 Fedora Update System 2022-11-05 17:06:00 UTC
FEDORA-2022-ca56ed35be has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-ca56ed35be \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-ca56ed35be

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2022-11-05 17:36:34 UTC
FEDORA-EPEL-2022-c5f1cd31a7 has been pushed to the Fedora EPEL 9 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-c5f1cd31a7

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2022-11-05 17:42:16 UTC
FEDORA-EPEL-2022-cada373da5 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-cada373da5

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 13 Fedora Update System 2022-11-05 17:47:48 UTC
FEDORA-EPEL-2022-0510b5537e has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-0510b5537e

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 14 Fedora Update System 2022-11-05 17:54:27 UTC
FEDORA-2022-f64887ba73 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-f64887ba73 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-f64887ba73

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 15 Fedora Update System 2022-11-06 17:54:49 UTC
FEDORA-2022-67c8e2b6dc has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-67c8e2b6dc \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-67c8e2b6dc

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 16 Fedora Update System 2022-11-13 01:17:33 UTC
FEDORA-2022-ca56ed35be has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 17 Fedora Update System 2022-11-13 01:19:54 UTC
FEDORA-2022-f64887ba73 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 18 Fedora Update System 2022-11-13 03:04:39 UTC
FEDORA-EPEL-2022-c5f1cd31a7 has been pushed to the Fedora EPEL 9 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 19 Fedora Update System 2022-11-13 03:13:48 UTC
FEDORA-EPEL-2022-cada373da5 has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 20 Fedora Update System 2022-11-13 03:25:34 UTC
FEDORA-EPEL-2022-0510b5537e has been pushed to the Fedora EPEL 7 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 21 Fedora Update System 2022-11-14 01:13:02 UTC
FEDORA-2022-67c8e2b6dc has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.